// Generated as part of Libecpint, Copyright 2017 Robert A Shaw
#include "qgen.hpp"
namespace libecpint {
namespace qgen {
void Q2_5_3(const ECP& U, const GaussianShell& shellA, const GaussianShell& shellB, const FiveIndex<double> &CA, const FiveIndex<double> &CB, const TwoIndex<double> &SA, const TwoIndex<double> &SB, const double Am, const double Bm, const RadialIntegral &radint, const AngularIntegral& angint, const RadialIntegral::Parameters& parameters, ThreeIndex<double> &values) {

	std::vector<Triple> radial_triples_A = {
		{0, 3, 3},
		{1, 2, 3},
		{1, 3, 4},
		{2, 1, 3},
		{2, 2, 2},
		{2, 2, 4},
		{2, 3, 3},
		{2, 3, 5},
		{2, 4, 4},
		{3, 1, 2},
		{3, 1, 4},
		{3, 2, 3},
		{3, 2, 5},
		{3, 3, 4},
		{3, 3, 6},
		{3, 4, 5},
		{4, 1, 1},
		{4, 1, 3},
		{4, 1, 5},
		{4, 2, 2},
		{4, 2, 4},
		{4, 2, 6},
		{4, 3, 3},
		{4, 3, 5},
		{4, 3, 7},
		{4, 4, 4},
		{4, 4, 6},
		{4, 5, 5},
		{5, 1, 2},
		{5, 1, 4},
		{5, 1, 6},
		{5, 2, 3},
		{5, 2, 5},
		{5, 2, 7},
		{5, 3, 4},
		{5, 3, 6},
		{5, 3, 8},
		{5, 4, 5},
		{5, 4, 7},
		{5, 5, 6},
		{6, 1, 1},
		{6, 1, 3},
		{6, 1, 5},
		{6, 1, 7},
		{6, 2, 2},
		{6, 2, 4},
		{6, 2, 6},
		{6, 2, 8},
		{6, 3, 3},
		{6, 3, 5},
		{6, 3, 7},
		{6, 4, 4},
		{6, 4, 6},
		{6, 4, 8},
		{6, 5, 5},
		{6, 5, 7},
		{7, 1, 2},
		{7, 1, 4},
		{7, 1, 6},
		{7, 1, 8},
		{7, 3, 4},
		{7, 3, 6},
		{7, 3, 8},
		{7, 5, 6},
		{7, 5, 8}	};

	ThreeIndex<double> radials(11, 6, 9);
	radint.type2(radial_triples_A, 11, 3, U, shellA, shellB, Am, Bm, radials);

	std::vector<Triple> radial_triples_B = {
		{1, 2, 3},
		{1, 3, 4},
		{2, 1, 3},
		{2, 2, 4},
		{2, 3, 5},
		{3, 1, 2},
		{3, 0, 3},
		{3, 2, 3},
		{3, 1, 4},
		{3, 3, 4},
		{3, 2, 5},
		{3, 4, 5},
		{4, 0, 2},
		{4, 1, 3},
		{4, 0, 4},
		{4, 2, 4},
		{4, 1, 5},
		{4, 3, 5},
		{5, 0, 1},
		{5, 1, 2},
		{5, 0, 3},
		{5, 2, 3},
		{5, 1, 4},
		{5, 3, 4},
		{5, 0, 5},
		{5, 2, 5},
		{5, 4, 5},
		{6, 0, 2},
		{6, 1, 3},
		{6, 0, 4},
		{6, 2, 4},
		{6, 1, 5},
		{6, 3, 5},
		{7, 0, 1},
		{7, 0, 3},
		{7, 2, 3},
		{7, 0, 5},
		{7, 2, 5},
		{7, 4, 5}	};

	ThreeIndex<double> radials_B(11, 9, 6);
	radint.type2(radial_triples_B, 11, 3, U, shellB, shellA, Bm, Am, radials_B);
	for (Triple& t : radial_triples_B) radials(std::get<0>(t), std::get<2>(t), std::get<1>(t)) = radials_B(std::get<0>(t), std::get<1>(t), std::get<2>(t));

	rolled_up(3, 2, 5, radials, CA, CB, SA, SB, angint, values);
}
}
}
