// Generated as part of Libecpint, Copyright 2017 Robert A Shaw
#include "qgen.hpp"
namespace libecpint {
namespace qgen {
void Q3_4_5(const ECP& U, const GaussianShell& shellA, const GaussianShell& shellB, const FiveIndex<double> &CA, const FiveIndex<double> &CB, const TwoIndex<double> &SA, const TwoIndex<double> &SB, const double Am, const double Bm, const RadialIntegral &radint, const AngularIntegral& angint, const RadialIntegral::Parameters& parameters, ThreeIndex<double> &values) {

	std::vector<Triple> radial_triples_A = {
		{0, 5, 5},
		{1, 4, 5},
		{1, 5, 6},
		{2, 3, 5},
		{2, 4, 4},
		{2, 4, 6},
		{2, 5, 5},
		{2, 5, 7},
		{2, 6, 6},
		{3, 2, 5},
		{3, 3, 4},
		{3, 3, 6},
		{3, 4, 5},
		{3, 4, 7},
		{3, 5, 6},
		{3, 5, 8},
		{3, 6, 7},
		{4, 2, 4},
		{4, 2, 6},
		{4, 3, 3},
		{4, 3, 5},
		{4, 3, 7},
		{4, 4, 4},
		{4, 4, 6},
		{4, 4, 8},
		{4, 5, 5},
		{4, 5, 7},
		{4, 5, 9},
		{4, 6, 6},
		{4, 6, 8},
		{4, 7, 7},
		{5, 2, 3},
		{5, 2, 5},
		{5, 2, 7},
		{5, 3, 4},
		{5, 3, 6},
		{5, 3, 8},
		{5, 4, 5},
		{5, 4, 7},
		{5, 4, 9},
		{5, 5, 6},
		{5, 5, 8},
		{5, 6, 7},
		{5, 6, 9},
		{5, 7, 8},
		{6, 2, 2},
		{6, 2, 4},
		{6, 2, 6},
		{6, 2, 8},
		{6, 3, 3},
		{6, 3, 5},
		{6, 3, 7},
		{6, 3, 9},
		{6, 4, 4},
		{6, 4, 6},
		{6, 4, 8},
		{6, 5, 5},
		{6, 5, 7},
		{6, 5, 9},
		{6, 6, 6},
		{6, 6, 8},
		{6, 7, 7},
		{6, 7, 9},
		{6, 8, 8},
		{7, 2, 3},
		{7, 2, 5},
		{7, 2, 7},
		{7, 2, 9},
		{7, 4, 5},
		{7, 4, 7},
		{7, 4, 9},
		{7, 6, 7},
		{7, 6, 9},
		{7, 8, 9}	};

	ThreeIndex<double> radials(13, 9, 10);
	radint.type2(radial_triples_A, 14, 5, U, shellA, shellB, Am, Bm, radials);

	std::vector<Triple> radial_triples_B = {
		{1, 4, 5},
		{1, 5, 6},
		{2, 3, 5},
		{2, 4, 6},
		{2, 5, 7},
		{3, 3, 4},
		{3, 2, 5},
		{3, 4, 5},
		{3, 3, 6},
		{3, 5, 6},
		{3, 4, 7},
		{3, 6, 7},
		{3, 5, 8},
		{4, 2, 4},
		{4, 1, 5},
		{4, 3, 5},
		{4, 2, 6},
		{4, 4, 6},
		{4, 3, 7},
		{4, 5, 7},
		{4, 4, 8},
		{4, 6, 8},
		{5, 2, 3},
		{5, 1, 4},
		{5, 3, 4},
		{5, 2, 5},
		{5, 4, 5},
		{5, 1, 6},
		{5, 3, 6},
		{5, 5, 6},
		{5, 2, 7},
		{5, 4, 7},
		{5, 6, 7},
		{5, 3, 8},
		{5, 5, 8},
		{5, 7, 8},
		{6, 1, 3},
		{6, 2, 4},
		{6, 1, 5},
		{6, 3, 5},
		{6, 2, 6},
		{6, 4, 6},
		{6, 1, 7},
		{6, 3, 7},
		{6, 5, 7},
		{6, 2, 8},
		{6, 4, 8},
		{6, 6, 8},
		{7, 1, 2},
		{7, 1, 4},
		{7, 3, 4},
		{7, 1, 6},
		{7, 3, 6},
		{7, 5, 6},
		{7, 1, 8},
		{7, 3, 8},
		{7, 5, 8},
		{7, 7, 8}	};

	ThreeIndex<double> radials_B(13, 10, 9);
	radint.type2(radial_triples_B, 14, 5, U, shellB, shellA, Bm, Am, radials_B);
	for (Triple& t : radial_triples_B) radials(std::get<0>(t), std::get<2>(t), std::get<1>(t)) = radials_B(std::get<0>(t), std::get<1>(t), std::get<2>(t));

	rolled_up(5, 3, 4, radials, CA, CB, SA, SB, angint, values);
}
}
}
