// Generated as part of Libecpint, Copyright 2017 Robert A Shaw
#include "qgen.hpp"
namespace libecpint {
namespace qgen {
void Q4_5_1(const ECP& U, const GaussianShell& shellA, const GaussianShell& shellB, const FiveIndex<double> &CA, const FiveIndex<double> &CB, const TwoIndex<double> &SA, const TwoIndex<double> &SB, const double Am, const double Bm, const RadialIntegral &radint, const AngularIntegral& angint, const RadialIntegral::Parameters& parameters, ThreeIndex<double> &values) {

	std::vector<Triple> radial_triples_A = {
		{0, 1, 1},
		{1, 0, 1},
		{1, 1, 2},
		{2, 0, 0},
		{2, 0, 2},
		{2, 1, 1},
		{2, 1, 3},
		{2, 2, 2},
		{3, 0, 1},
		{3, 0, 3},
		{3, 1, 2},
		{3, 1, 4},
		{3, 2, 3},
		{4, 0, 0},
		{4, 0, 2},
		{4, 0, 4},
		{4, 1, 1},
		{4, 1, 3},
		{4, 1, 5},
		{4, 2, 2},
		{4, 2, 4},
		{4, 3, 3},
		{5, 0, 1},
		{5, 0, 3},
		{5, 0, 5},
		{5, 1, 2},
		{5, 1, 4},
		{5, 1, 6},
		{5, 2, 3},
		{5, 2, 5},
		{5, 3, 4},
		{6, 0, 0},
		{6, 0, 2},
		{6, 0, 4},
		{6, 0, 6},
		{6, 1, 1},
		{6, 1, 3},
		{6, 1, 5},
		{6, 2, 2},
		{6, 2, 4},
		{6, 2, 6},
		{6, 3, 3},
		{6, 3, 5},
		{6, 4, 4},
		{7, 0, 1},
		{7, 0, 3},
		{7, 0, 5},
		{7, 1, 2},
		{7, 1, 4},
		{7, 1, 6},
		{7, 2, 3},
		{7, 2, 5},
		{7, 3, 4},
		{7, 3, 6},
		{7, 4, 5},
		{8, 0, 0},
		{8, 0, 2},
		{8, 0, 4},
		{8, 0, 6},
		{8, 1, 1},
		{8, 1, 3},
		{8, 1, 5},
		{8, 2, 2},
		{8, 2, 4},
		{8, 2, 6},
		{8, 3, 3},
		{8, 3, 5},
		{8, 4, 4},
		{8, 4, 6},
		{8, 5, 5},
		{9, 1, 2},
		{9, 1, 4},
		{9, 1, 6},
		{9, 3, 4},
		{9, 3, 6},
		{9, 5, 6}	};

	ThreeIndex<double> radials(11, 6, 7);
	radint.type2(radial_triples_A, 13, 1, U, shellA, shellB, Am, Bm, radials);

	std::vector<Triple> radial_triples_B = {
		{1, 0, 1},
		{1, 1, 2},
		{2, 0, 2},
		{2, 1, 3},
		{3, 0, 1},
		{3, 1, 2},
		{3, 0, 3},
		{3, 2, 3},
		{3, 1, 4},
		{4, 0, 2},
		{4, 1, 3},
		{4, 0, 4},
		{4, 2, 4},
		{4, 1, 5},
		{5, 0, 1},
		{5, 1, 2},
		{5, 0, 3},
		{5, 2, 3},
		{5, 1, 4},
		{5, 3, 4},
		{5, 0, 5},
		{5, 2, 5},
		{6, 0, 2},
		{6, 1, 3},
		{6, 0, 4},
		{6, 2, 4},
		{6, 1, 5},
		{6, 3, 5},
		{7, 0, 1},
		{7, 1, 2},
		{7, 0, 3},
		{7, 2, 3},
		{7, 1, 4},
		{7, 3, 4},
		{7, 0, 5},
		{7, 2, 5},
		{7, 4, 5},
		{8, 0, 2},
		{8, 1, 3},
		{8, 0, 4},
		{8, 2, 4},
		{8, 1, 5},
		{8, 3, 5},
		{9, 0, 1},
		{9, 0, 3},
		{9, 2, 3},
		{9, 0, 5},
		{9, 2, 5},
		{9, 4, 5}	};

	ThreeIndex<double> radials_B(11, 7, 6);
	radint.type2(radial_triples_B, 13, 1, U, shellB, shellA, Bm, Am, radials_B);
	for (Triple& t : radial_triples_B) radials(std::get<0>(t), std::get<2>(t), std::get<1>(t)) = radials_B(std::get<0>(t), std::get<1>(t), std::get<2>(t));

	rolled_up(1, 4, 5, radials, CA, CB, SA, SB, angint, values);
}
}
}
