// Generated as part of Libecpint, Copyright 2017 Robert A Shaw
#include "qgen.hpp"
namespace libecpint {
namespace qgen {
void Q0_1_2(const ECP& U, const GaussianShell& shellA, const GaussianShell& shellB, const FiveIndex<double> &CA, const FiveIndex<double> &CB, const TwoIndex<double> &SA, const TwoIndex<double> &SB, const double Am, const double Bm, const RadialIntegral &radint, const AngularIntegral& angint, const RadialIntegral::Parameters& parameters, ThreeIndex<double> &values) {

	std::vector<Triple> radial_triples_A = {
		{0, 2, 2},
		{1, 2, 3}	};

	ThreeIndex<double> radials(4, 3, 4);
	radint.type2(radial_triples_A, 2, 2, U, shellA, shellB, Am, Bm, radials);

	std::vector<Triple> radial_triples_B = {
		{1, 1, 2}	};

	ThreeIndex<double> radials_B(4, 4, 3);
	radint.type2(radial_triples_B, 2, 2, U, shellB, shellA, Bm, Am, radials_B);
	for (Triple& t : radial_triples_B) radials(std::get<0>(t), std::get<2>(t), std::get<1>(t)) = radials_B(std::get<0>(t), std::get<1>(t), std::get<2>(t));

	values(0, 0, 0) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 1) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 2) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 2) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 2) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 2) += 2.83593e-31 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 3) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 4) += 2.83593e-31 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 4) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 4) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 4) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 0) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 2) += -40.7731 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 2) += 1.72787e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 3) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 4) += -2.99276e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 4) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 0) += 73.0998 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 0, 0) += -18.8743 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 0, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 0, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 0, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 0, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 0, 1) += 59.6858 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 0, 2) += 65.3825 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 0, 2) += 2.32337e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 0, 2) += -2.77076e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 0, 2) += -9.84593e-32 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 0, 3) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 0, 3) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 0, 3) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 0, 3) += -46.2324 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 0, 3) += 59.6858 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 0, 3) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 0, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 0, 4) += 7.99849e-16 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 0, 4) += -3.0978e-15 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 0, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 0, 4) += -18.8743 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 0, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 0, 4) += 73.0998 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 1, 0) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 1) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 2) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 2) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 2) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 2) += 2.83593e-31 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 3) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 4) += 2.83593e-31 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 4) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 4) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 4) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 0) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 1) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 2) += -40.7731 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 2) += 1.72787e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 4) += 2.99276e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 4) += -70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 1, 0) += -18.8743 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 1, 0) += -73.0998 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 1, 1) += -46.2324 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 1, 1) += -59.6858 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 1, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 1, 2) += 7.05102e-16 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 1, 2) += 65.3825 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 1, 2) += -2.98806e-32 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 1, 2) += -2.77076e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 1, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 1, 3) += 59.6858 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 1, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 1, 4) += -3.0978e-15 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 1, 4) += -7.99849e-16 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 1, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 1, 4) += 73.0998 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 1, 4) += 18.8743 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 1, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 2, 0) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 1) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 2) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 2) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 2) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 2) += 2.83593e-31 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 3) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 4) += 2.83593e-31 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 4) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 4) += -6.69202e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 4) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 1) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 2) += 81.5463 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 2) += -3.45574e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 3) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 4) += 5.5323e-33 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 4) += -1.30547e-16 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 2, 0) += 59.6858 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 2, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 2, 1) += -5.48253e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 2, 1) += 75.4972 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 2, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 2, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 2, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 2, 2) += 80.0768 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 2, 2) += -8.23326e-16 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 2, 2) += -3.39347e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 2, 2) += 3.48907e-32 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 2, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 2, 3) += 75.4972 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 2, 3) += 4.424e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 2, 3) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 2);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 5);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 0) * SB(3, 6);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 2);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 5);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 1) * SB(3, 6);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 0);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 1);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 2);
	values(0, 2, 4) += 7.09631e-32 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 3);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 4);
	values(0, 2, 4) += -2.52935e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 5);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 2) * SB(3, 6);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 2);
	values(0, 2, 4) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 4);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 5);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 3) * SB(3, 6);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 0);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 1);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 2);
	values(0, 2, 4) += -1.67454e-15 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 3);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 4);
	values(0, 2, 4) += 59.6858 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 5);
	values(0, 2, 4) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 2, 3) * SA(2, 4) * SB(3, 6);
}
}
}
