// Generated as part of Libecpint, Copyright 2017 Robert A Shaw
#include "qgen.hpp"
namespace libecpint {
namespace qgen {
void Q1_1_1(const ECP& U, const GaussianShell& shellA, const GaussianShell& shellB, const FiveIndex<double> &CA, const FiveIndex<double> &CB, const TwoIndex<double> &SA, const TwoIndex<double> &SB, const double Am, const double Bm, const RadialIntegral &radint, const AngularIntegral& angint, const RadialIntegral::Parameters& parameters, ThreeIndex<double> &values) {

	std::vector<Triple> radial_triples_A = {
		{0, 1, 1},
		{1, 0, 1},
		{1, 1, 2},
		{2, 0, 0},
		{2, 0, 2},
		{2, 2, 2}	};

	ThreeIndex<double> radials(4, 3, 3);
	radint.type2(radial_triples_A, 3, 1, U, shellA, shellB, Am, Bm, radials);

	std::vector<Triple> radial_triples_B = {
		{1, 0, 1},
		{1, 1, 2},
		{2, 0, 2}	};

	ThreeIndex<double> radials_B(4, 3, 3);
	radint.type2(radial_triples_B, 3, 1, U, shellB, shellA, Bm, Am, radials_B);
	for (Triple& t : radial_triples_B) radials(std::get<0>(t), std::get<2>(t), std::get<1>(t)) = radials_B(std::get<0>(t), std::get<1>(t), std::get<2>(t));

	values(0, 0, 0) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 0, 1) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 0, 2) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 0, 2) += 91.1715 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 0, 0) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 0, 1) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 0, 2) += -40.7731 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 0, 2) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 0, 2) += 91.1715 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 0, 0) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 1) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 0, 2) += -40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 0, 2) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(0, 0, 2) += 52.6379 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 0, 2) += -23.5404 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 0, 2) += 40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 0, 2) += -23.5404 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 0, 2) += 40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 0, 0) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 1) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 0, 2) += 10.5276 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 0, 2) += -18.2343 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 0, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 0, 2) += -18.2343 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 0, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 0, 2) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 0) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 1, 1) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 1, 2) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 1, 0) += 91.1715 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 1, 0) += -40.7731 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 1, 0) += -70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 1, 1) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 1, 2) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 1, 2) += 91.1715 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 1, 0) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 1) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 1, 2) += -40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 1, 2) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 1, 2) += 40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 1, 0) += 40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 0) += -18.2343 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 0) += -31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 0) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 1) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 1, 2) += -18.2343 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 1, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 1, 2) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 1, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 0) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 2, 1) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(0, 2, 2) += 157.914 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 2, 1) += 91.1715 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 2, 0) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 2, 1) += 81.5463 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 2, 1) += -1.30547e-16 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(0, 2, 2) += 70.6211 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(0, 2, 2) += 91.1715 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(0, 2, 0) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 1) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(0, 2, 2) += -40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(0, 2, 2) += 70.6211 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(0, 2, 2) += 40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 2, 1) += 40.7731 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 0) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 0) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 1) += 36.4686 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 1) += -5.83825e-17 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 1) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 1) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(0, 2, 2) += -18.2343 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(0, 2, 2) += -0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(0, 2, 2) += 31.5827 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(0, 2, 2) += 0 * CA(0, 0, 1, 0, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 0, 0) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 0, 1) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 0, 2) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 0, 2) += 91.1715 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 0, 0) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 0, 1) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 0, 2) += -40.7731 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 0, 2) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 0, 0) += 91.1715 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 0, 0) += -40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 0, 0) += -70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 0, 1) += 70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 0, 2) += 70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 0, 0) += 40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 0, 2) += 40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 0, 0) += -18.2343 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 0, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 0, 0) += -31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 0, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 0, 1) += 31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 0, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 0, 2) += -18.2343 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 0, 2) += 31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 0, 2) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 0, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 1, 0) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 1, 1) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 1, 2) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 1, 0) += 91.1715 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 1, 0) += -40.7731 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 1, 0) += -70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 1, 1) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 1, 2) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 1, 0) += 91.1715 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 1, 0) += -40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 1, 0) += -70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 1, 1) += 70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 1, 2) += 70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 1, 0) += 52.6379 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 1, 0) += -23.5404 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 1, 0) += -40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 1, 0) += -23.5404 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 1, 0) += -40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 1, 0) += 10.5276 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 1, 0) += 18.2343 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 1, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 1, 0) += 18.2343 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 1, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 1, 0) += 31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 1, 1) += 31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 1, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 1, 2) += 31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 1, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 2, 0) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 2, 1) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(1, 2, 2) += 157.914 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 2, 1) += 91.1715 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 2, 0) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 2, 1) += 81.5463 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 2, 1) += -1.30547e-16 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(1, 2, 2) += 70.6211 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(1, 2, 0) += 91.1715 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 2, 0) += -40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 2, 0) += -70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 2, 1) += 70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(1, 2, 2) += 70.6211 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 2, 0) += 40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 2, 1) += 40.7731 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 2, 0) += -18.2343 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 2, 0) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 2, 0) += -31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 2, 0) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 2, 1) += 36.4686 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 2, 1) += -5.83825e-17 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 2, 1) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 2, 1) += -0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(1, 2, 2) += 31.5827 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(1, 2, 2) += 0 * CA(0, 1, 0, 1, 0) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 0, 0) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 0, 1) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 0, 2) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 0, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 0, 2) += 91.1715 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 0, 0) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 0, 1) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 0, 2) += -40.7731 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 0, 2) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 0, 1, 0, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 0, 1) += 91.1715 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 0, 0) += 70.6211 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 0, 1) += 81.5463 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 0, 1) += -1.30547e-16 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 0, 2) += 70.6211 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 0, 1) += 40.7731 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 0, 2) += 40.7731 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 0, 0) += 31.5827 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 0, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 0, 1) += 36.4686 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 0, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 0, 1) += -5.83825e-17 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 0, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 0, 2) += -18.2343 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 0, 2) += 31.5827 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 0, 2) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 0, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 0, 1, 0, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 1, 0) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 1, 1) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 1, 2) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 1, 0) += 91.1715 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 1, 0) += -40.7731 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 1, 0) += -70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 1, 1) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 1, 2) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 1, 0, 1, 0) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 1, 1) += 91.1715 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 1, 0) += 70.6211 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 1, 1) += 81.5463 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 1, 1) += -1.30547e-16 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 1, 2) += 70.6211 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 1, 1) += 40.7731 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 1, 0) += 40.7731 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 1, 0) += -18.2343 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 1, 0) += -31.5827 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 1, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 1, 0) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 1, 1) += 36.4686 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 1, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 1, 1) += -5.83825e-17 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 1, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 1, 2) += 31.5827 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 1, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 1, 0, 1, 0) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 2, 0) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 2, 1) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 0) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 1) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 1);
	values(2, 2, 2) += 157.914 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 0) * radials(0, 1, 1) * SA(1, 2) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 2, 1) += 91.1715 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 0) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 1) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 0) * SA(1, 2) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 2, 0) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 2, 1) += 81.5463 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 2, 1) += -1.30547e-16 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 0) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 1) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 2);
	values(2, 2, 2) += 70.6211 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 0) * CB(0, 2, 0, 0, 1) * radials(1, 1, 2) * SA(1, 2) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 2, 1) += 91.1715 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 0, 1) * SA(0, 0) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 2, 0) += 70.6211 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 2, 1) += 81.5463 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 2, 1) += -1.30547e-16 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 0) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 1) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 2) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 1);
	values(2, 2, 2) += 70.6211 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 3) * SB(1, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 0) * radials(1, 2, 1) * SA(2, 4) * SB(1, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(2, 2, 1) += 52.6379 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 0) * SA(0, 0) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 2, 1) += 47.0808 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 2, 1) += -7.53715e-17 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 0, 2) * SA(0, 0) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 2, 1) += 47.0808 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 2, 1) += -7.53715e-17 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 0) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 1) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 2) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 3) * SB(0, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 0) * SA(2, 4) * SB(0, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 2, 0) += 31.5827 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 2, 0) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 2, 1) += 42.1103 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 2, 1) += -6.74144e-17 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 2, 1) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 2, 1) += -6.74144e-17 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 2, 1) += -0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 2, 1) += 1.07924e-34 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 0) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 1) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 2) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 2);
	values(2, 2, 2) += 31.5827 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 3) * SB(2, 4);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 0);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 1);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 2);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 3);
	values(2, 2, 2) += 0 * CA(0, 2, 0, 0, 1) * CB(0, 2, 0, 0, 1) * radials(2, 2, 2) * SA(2, 4) * SB(2, 4);
}
}
}
